# getBlocks

Returns a list of confirmed blocks between two slots.

This method will use `30` [Compute Units](https://docs.validationcloud.io/v1/about/billing).

***

## **Parameters**

* `start_slot` string *<mark style="color:red;">Required</mark>*. The start slot encoded as an u64 integer.
* `end_slot` string. The end slot encoded as an u64 integer.
* `object` *optional.* Configuration object containing the following fields:
  * `commitment` string. The level of commitment required for the query. The options include:
    * `finalized` string.
      * The node will query the most recent block confirmed by the supermajority of the cluster as having reached maximum lockout, meaning the cluster has recognized this block as finalized.
    * `confirmed` string.
      * The node will query the most recent block that has been voted on by the supermajority of the cluster.

## Returns

* `result` An array of u64 integers listing confirmed blocks between the start\_slot and either end\_slot - if provided, or latest confirmed block, inclusive. The maximum range allowed is 500,000 slots.

```bash
// Result
{
	"jsonrpc": "2.0",
	"result": [
		319941846,
		319941847,
		319941848,
		319941849,
		319941850,
		319941851
	],
	"id": 1
}
```

{% tabs %}
{% tab title="mainnet" %}

<pre class="language-bash"><code class="lang-bash"><strong>curl https://mainnet.solana.validationcloud.io/v1/&#x3C;YOUR_API_KEY_HERE> \
</strong>    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id": 1,"method": "getBlocks","params": [319941846,319941851]}'
</code></pre>

{% endtab %}

{% tab title="devnet" %}

```bash
curl https://devnet.solana.validationcloud.io/v1/<YOUR_API_KEY_HERE> \
    -X POST \
    -H "Content-Type: application/json" \
    -d '{"jsonrpc": "2.0","id": 1,"method": "getBlocks","params": [319941846,319941851]}'
```

{% endtab %}
{% endtabs %}
